cgGetMatrixSize(3)

NAME
cgGetMatrixSize - get the size of one dimension of an array parameter

SYNOPSIS
  #include <Cg/cg.h>
  void cgGetMatrixSize( CGtype type,
                        int * nrows,
                        int * ncols );

PARAMETERS

type
    The type enumerant.

nrows
    A pointer to the location where the number of rows that type has will be written.

ncols
    A pointer to the location where the number of columns that type has will be written.

RETURN VALUES
None.

DESCRIPTION
cgGetMatrixSize writes the number of rows and columns contained by the specified matrix type into nrows and ncols locations respectively. If type is not a matrix enumerant type, 0 is written as both the rows and columns size.

Contrast this routine with the cgGetTypeSizes manpage where the number of rows and columns will be set to 1 row and 1 column for both scalar and non-numeric types but for vector types, the number of rows and columns will be set to 1 row and N columns where N is the number of components in the vector.

EXAMPLES
to-be-written

ERRORS
None.

HISTORY
cgGetMatrixSize was introduced in Cg 1.5.

SEE ALSO
the cgGetArrayTotalSize manpage, the cgGetArrayDimension manpage, the cgGetArrayParameter manpage, the cgGetTypeSizes manpage